Đến nội dung


Hình ảnh
- - - - -

[Đã xong] lisp Hatch (gạch, bê tông, kính) - hay


  • Please log in to reply
68 replies to this topic

#61 TRUNGNGAMY

TRUNGNGAMY

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 401 Bài viết
Điểm đánh giá: 91 (tàm tạm)

Đã gửi 08 April 2015 - 02:30 AM

Trước đây mình ít phải đụng tới hatch, nay mới cần. Có 1 số hatch kg hiểu sao kg có diện tích, mình kg rõ nguyên nhân, mỗi lần đề cập tới có bạn lại nói đén non-Associative thì chịu, làm mình cứ nghĩ việc thiếu đg bao làm "mất" diện tích, thì ra kg phải như vậy. Cám ơn, do mình mất tập trung làm mất thời gian bạn.


  • 0

#62 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 08 April 2015 - 02:26 PM

Nếu DXF 97 = 0 thì chắc chắn là không có diện tích, Hatch có thể đươc tạo từ Boundary hở :)


  • 0

#63 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 08 April 2015 - 02:54 PM

Nếu DXF 97 = 0 thì chắc chắn là không có diện tích, Hatch có thể đươc tạo từ Boundary hở :)

Vẫn chưa đúng. Kiểm tra trên bản vẽ của TNM gởi lên: 2 hatch đều not_assoc và đều có dxf97=0 nhưng 1 em có S và 1 em không.


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#64 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 08 April 2015 - 03:31 PM

Sorry ! phải là (DXF 97 = 0 và DXF 73 = 1), nếu DXF 73 không có (tức = 0) và DXF 97 = 0 thì có diện tích :)


  • 0

#65 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 08 April 2015 - 04:09 PM

DXF 73 không liên quan tới diện tích.

Kéo 1 node của hatch không có diện tích => DXF 73 = nil nhưng vẫn không có diện tích


  • 1

#66 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 08 April 2015 - 05:26 PM

Lạ thật! Hatch "Solid" rõ ràng là ko tạo được từ Boundary hở nên DXF 73 = 1 và dĩ nhiên có DT (diện tích). Mà tạo Hatch bằng "ansi31"  từ Boundary hở thì DXF 73 = 0 và không có diện tích :wacko: .

Ko hiểu sao bản vẽ của TRUNGNGAMY lại có DXF 73 = 1 và không có DT ;  DXF 73 = 0 thì lại có DT. (DXF 97 = 0 chỉ cho biết là không có  đối tượng Boundary gốc)

Potay!

 
  • 2

#67 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 09 April 2015 - 10:15 AM

Đã biết nguyên nhân có DT và không có DT khi Hatch "Solid" nhưng ko hiểu tại sao lại như thế :unsure: . Post bản vẽ các bạn tìm hiểu có cao kiến giải đáp dùm :D

http://www.cadviet.c...37170_vd5_2.dwg


  • 1

#68 hondacodon_dtu

hondacodon_dtu

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 16 June 2016 - 11:53 AM

Ut sử dụng thử code sau :

(defun c:hb(/ ans ten sc ang dt)
(setvar "cmdecho" 0)
(initget "B G K")
(setq ans (getkword "\n Chon kieu hatch < B/G/K > :"))
(WHILE (setq dt (car(entsel "\n Chon doi tuong kin de hatch :")))
(if (= ans "B")
(progn
(setq ten "AR-CONC" sc 20.0 ang 0.0
ten2 "ANSI32" sc2 200.0 ang 0.0)
(lh dt ten sc ang)
(lh dt ten2 sc2 ang)
)
)
(if (= ans "G")
(progn
(setq ten "ANSI31" sc 400.0 ang 0.0)
(lh dt ten sc ang)
)
)
(if (= ans "K")
(progn
(setq ten "AR-RROOF" sc 500.0 ang 45.0)
(lh dt ten sc ang)
)
)
);WHILE
(princ)
)
(defun lh(dt name tle goc)
(if (vlax-curve-isClosed dt)
(progn
(vl-cmdf "hatch" "P" name tle goc "S" dt "")
)
(alert "\n Doi tuong khong kin")

);if
)

Bạn ơi: nếu mình muốn click vào một điểm trong vùng cần hatch rồi hatch chứ ko phải chọn vùng khép kín thì code như thế nào ?


  • 0

#69 kienxd04

kienxd04

    biết vẽ pline

  • Members
  • PipPip
  • 63 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 16 June 2016 - 01:06 PM

Sao mình thực hiện trên cad 2016 ko hiện hatch gì vậy, có ai bị như vậy ko nhỉ?


  • 0